# Module to assist in running AIPS/ParselTongue on machines without
# an AIPS installation.
#
# Stephen Bourke, JIVE
# Version: 20090204

from AIPSTask import AIPSTask as ptAIPSTask
import AIPSLite
import os

class AIPSTask(ptAIPSTask):
    """AIPSTask with that uses AIPSLite to fetch Tasks that
    are not available locally."""
    version = os.environ.get('VERSION', 'NEW')
    userno = -1
    msgkill = 0
    isbatch = 32000

    def __init__(self, name, **kwds):
		AIPSLite.get_task(name)
		ptAIPSTask.__init__(self, name, **kwds)
